

  <div class="weightContainer">
    <div class="weightHeading">
      <h1>Weight</h1>
    </div>

    <div class="weightPicDiv">
      <img class="weightImage" src="../../../assets/Images/scales.svg" alt="">
    </div>

    <div *ngIf="!weightMetric" class="stonesInput">
      <mat-form-field class="inputField">
        <mat-label>Stones</mat-label>
        <input matInput (change)="checkWeight()" [(ngModel)]="stones">
      </mat-form-field>
    </div>

    <div *ngIf="!weightMetric" class="poundsInput">
      <mat-form-field class="inputField">
        <mat-label>Pounds</mat-label>
        <input matInput (change)="checkWeight()" [(ngModel)]="pounds">
      </mat-form-field>
    </div>


    <div *ngIf="weightMetric" class="kgInput">
      <mat-form-field class="inputField2">
        <mat-label>Kilograms</mat-label>
        <input matInput (change)="checkWeight()" [(ngModel)]="kg">
      </mat-form-field>
    </div>

    <div class="swapUnit">
      <button mat-mini-fab class="miniMatButton" matTooltip="Change Units"
              (click)="weightMetric = !weightMetric">
        <i class="fas fa-exchange-alt"></i></button>
    </div>


  </div>
